[tool.poetry]
name = "obserware"
version = "0.2.5"
description = "An advanced system monitor utility written in Python and Qt"
authors = ["Akashdeep Dhar <akashdeep.dhar@gmail.com>"]
license = "GPL-3.0-or-later"
maintainers = ["Akashdeep Dhar <akashdeep.dhar@gmail.com>", "Akarshan Biswas <akarshan.biswas@gmail.com>"]
readme = "README.md"
homepage = "https://gitlab.com/t0xic0der/obserware"
repository = "https://gitlab.com/t0xic0der/obserware"
documentation = "https://gitlab.com/t0xic0der/obserware/-/blob/main/README.md"
keywords = ["qt", "monitoring", "performance", "linux", "observation"]
classifiers = [
    "Development Status :: 4 - Beta",
    "Environment :: X11 Applications",
    "Intended Audience :: End Users/Desktop",
    "License :: OSI Approved :: GNU General Public License v3 or later (GPLv3+)",
    "Natural Language :: English",
    "Programming Language :: Python :: 3.10",
    "Operating System :: POSIX :: Linux",
    "Topic :: System :: Monitoring",
    "Topic :: System :: Operating System",
    "Topic :: Utilities",
]

[tool.poetry.dependencies]
python = "^3.10"
psutil = "^5.8.0"
pyqt5 = "^5.15.6"
pyqtchart = "^5.15.2"
py-cpuinfo = "^8.0.0"
distro = "^1.6.0"

[tool.poetry.dev-dependencies]
black = "^21.11b1"
isort = "^5.10.1"

[build-system]
requires = ["poetry-core>=1.0.0"]
build-backend = "poetry.core.masonry.api"

[tool.poetry.scripts]
obserware = "obserware.main:main"
